<?php
    require_once($pg.".html.php");
    class DATA extends DATA_HTML
    {


    }

    $cl=new DATA();

    if(isset($_REQUEST['task'])){$case=$_REQUEST['task'];}
    if(isset($_POST['task'])){$case=$_POST['task'];}
    if(isset($_REQUEST['obj'])){$obj=$_REQUEST['obj'];}
    if(isset($_POST['obj'])){$obj=$_POST['obj'];}

    if($_REQUEST){if($_REQUEST['sec']){$case=$cl->dec($case);$obj=$cl->dec($obj);}}

    if(file_exists(PATH_OBJECT."/$option/$obj.php"))
    {
        require_once("$obj.php");
        $className=strtoupper($obj);
        $clfile=new $className();
        $fn_init_java=$className."_javainit";
        $init_java=trim($_REQUEST['init_java']);if($init_java){$clfile->$fn_init_java();}

        $case=$obj;
    }

    if(!$case){$case=$obj;if(!file_exists(PATH_OBJECT."/$option/$obj.php")){$cl->under_construction();}}
    $sptask=explode("_",$case);$modulename=$sptask[1];$fn_module_init="fn_".$modulename."_init";

    switch($case)
    {
        case "data_$modulename":
          $clfile->$fn_module_init();
        break;
    }

?>